# Visualization
TKV3d
Graphic3d

# Graphic3d_VertexNC Class Reference

This class allows the creation of a vertex with
a colour and a 3D normal.
.

`#include <Graphic3d_VertexNC.hxx>`

Inheritance diagram for Graphic3d_VertexNC:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Graphic3d_VertexNC ()
| Creates a point with coordinates 0.0, 0.0, 0.0 for which the normal is 0.0, 0.0, 1.0 and the colour is Quantity_NOC_WHITE. .
Standard_EXPORT | Graphic3d_VertexNC (const Standard_Real AX, const Standard_Real AY, const Standard_Real AZ, const Standard_Real ANX, const Standard_Real ANY, const Standard_Real ANZ, const Quantity_Color &AColor, const Standard_Boolean FlagNormalise=Standard_True)
| Creates a point with coordinates <ax>, <ay>, <az> for which the normal is <anx>, <any>, <anz> and the colour is <acolor>. If <flagnormalise> is True the normal is already normalised Else the normal is not normalised, the graphic do it. .
Standard_EXPORT | Graphic3d_VertexNC (const Graphic3d_Vertex &APoint, const Graphic3d_Vector &AVector, const Quantity_Color &AColor, const Standard_Boolean FlagNormalise=Standard_True)
| Creates a point in <apoint> for which the normal is <avector> and the colour is <acolor>. If <flagnormalise> is True the normal is already normalised Else the normal is not normalised, the graphic do it. .
Standard_EXPORT void | SetColor (const Quantity_Color &ColorNew)
| Modifies the colour of the point <me>. .
Standard_EXPORT Quantity_Color | Color () const
| Returns the colour of the point <me>. .

## Private Attributes

Quantity_Color | MyColor

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_VertexNC::Graphic3d_VertexNC | ( |  | ) |

Standard_EXPORT Graphic3d_VertexNC::Graphic3d_VertexNC | ( | const Standard_Real | AX,
|  | const Standard_Real | AY,
|  | const Standard_Real | AZ,
|  | const Standard_Real | ANX,
|  | const Standard_Real | ANY,
|  | const Standard_Real | ANZ,
|  | const Quantity_Color & | AColor,
|  | const Standard_Boolean | FlagNormalise = `Standard_True`
| ) |

Standard_EXPORT Graphic3d_VertexNC::Graphic3d_VertexNC | ( | const Graphic3d_Vertex & | APoint,
|  | const Graphic3d_Vector & | AVector,
|  | const Quantity_Color & | AColor,
|  | const Standard_Boolean | FlagNormalise = `Standard_True`
| ) |

## Member Function Documentation

Standard_EXPORT Quantity_Color Graphic3d_VertexNC::Color | ( |  | ) | const

void Graphic3d_VertexNC::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Graphic3d_VertexN.

void* Graphic3d_VertexNC::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Graphic3d_VertexN.

void* Graphic3d_VertexNC::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Graphic3d_VertexN.

Standard_EXPORT void Graphic3d_VertexNC::SetColor | ( | const Quantity_Color & | ColorNew | ) |

## Field Documentation

Quantity_Color Graphic3d_VertexNC::MyColor `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_VertexNC.hxx